runtime: nodejs10
service: default
env: standard
instance_class: F1

automatic_scaling:
  min_instances: 0
  max_instances: 1
  min_idle_instances: 0
  max_idle_instances: 1
  min_pending_latency: 5000ms
  
handlers:
  # Serve all static files with urls ending with a file extension
- url: /(.*\..+)$ 
  static_files: dist/\1
  upload: dist/(.*\..+)$  # catch all handler to index.html
- url: /.*
  static_files: dist/index.html
  upload: dist/index.html
